- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# gcp_sql_user_info – Gather info for GCP User

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather info for GCP User

- This module was called `gcp_sql_user_facts` before Ansible 2.9. The usage has not changed.

Aliases: gcp_sql_user_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- requests >= 2.18.4

- google-auth >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_kind string / required | Choices: application machineaccount serviceaccount | The type of credential used.
env_type string |  | Specifies which Ansible environment you're running this module within. This should not be set unless you know what you're doing. This only alters the User Agent string for any API requests.
instance dictionary / required |  | The name of the Cloud SQL instance. This does not include the project ID. This field represents a link to a Instance resource in GCP. It can be specified in two ways. First, you can place a dictionary with key 'name' and value of your resource's name Alternatively, you can add `register: name-of-resource` to a gcp_sql_instance task and then set this instance field to "{{ name-of-resource }}"
project string |  | The Google Cloud Platform project to use.
scopes list |  | Array of scopes to be used.
service_account_contents jsonarg |  | The contents of a Service Account JSON file, either in a dictionary or as a JSON string that represents it.
service_account_email string |  | An optional service account email address if machineaccount is selected and the user does not wish to use the default email.
service_account_file path |  | The path of a Service Account JSON file if serviceaccount is selected as type.

## Notes

Note

- for authentication, you can set service_account_file using the c(gcp_service_account_file) env variable.

- for authentication, you can set service_account_contents using the c(GCP_SERVICE_ACCOUNT_CONTENTS) env variable.

- For authentication, you can set service_account_email using the `GCP_SERVICE_ACCOUNT_EMAIL` env variable.

- For authentication, you can set auth_kind using the `GCP_AUTH_KIND` env variable.

- For authentication, you can set scopes using the `GCP_SCOPES` env variable.

- Environment variables values will only be used if the playbook values are not set.

- The service_account_email and service_account_file options are mutually exclusive.

## Examples

    - name: get info on a user
      gcp_sql_user_info:
        instance: "{{ instance }}"
        project: test_project
        auth_kind: serviceaccount
        service_account_file: "/tmp/auth.pem"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
resources complex | always | List of resources
| host string | success | The host name from which the user can connect. For insert operations, host defaults to an empty string. For update operations, host is specified as part of the request URL. The host name cannot be updated after insertion.
| instance dictionary | success | The name of the Cloud SQL instance. This does not include the project ID.
| name string | success | The name of the user in the Cloud SQL instance.
| password string | success | The password for the user.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Google Inc. (@googlecloudplatform)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.